/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:47
 */
import request from '@/utilsRc/request'

// 查询培训需求列表
export function listTrainService(query) {
  return request({
    url: '/demand/personTrainDemandInfo/list',
    method: 'get',
    params: query
  })
}

// 查询培训需求详细
export function getTrainService(ids) {
  return request({
    url: '/demand/personTrainDemandInfo/' + ids,
    method: 'get'
  })
}

// 新增培训需求
export function addTrainService(data) {
  return request({
    url: '/demand/personTrainDemandInfo',
    method: 'post',
    data: data
  })
}

// 修改培训需求
export function updateTrainService(data) {
  return request({
    url: '/demand/personTrainDemandInfo',
    method: 'put',
    data: data
  })
}

// 删除培训需求
export function delTrainService(ids) {
  return request({
    url: '/manage/personDemand/' + ids,
    method: 'delete'
  })
}
